%define	name	pdftohtml
%define	version	0.39
%define subrel	2
%define	release	%mkrel 1

Summary:	A PDF to HTML converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://pdftohtml.sourceforge.net/
Source0:	http://superb-east.dl.sourceforge.net/sourceforge/pdftohtml/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.36-dirname.patch.bz2
Patch1:		xpdf-2.xx-CVE-2005-3191_2_3.patch.bz2
Patch2:		xpdf-3.00-goo-overflow.patch.bz2
Patch3:		xpdf-3.00-chris-overflows.patch.bz2
Patch4:		pdftohtml-0.36-gcc4.patch
Patch5:		koffce-xpdf-CVE-2007-0104.diff		
Patch6:		pdftohtml-0.39-fix-compile.patch
Patch7:		pdftohtml-0.39-CVE-2007-3387.patch
Patch8:		xpdf-3.00-CVE-2007-4352_5392_5393.patch
License:	GPL
Group:		Text tools
BuildRequires:	t1lib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	poppler

%description
PDFTOHTML converts Portable Document Format (PDF) files to HTML
format. This release converts text and links. Bold and italic face are
preserved, but high level HTML structures ( like lists or tables ) are
not yet generated. Images are ignored ( but you can extract them from
the PDF file using pdfimages, distributed with the Xpdf package ).
The current version is tested on Linux and Solaris 2.6

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .cve-2005-3191_2_3
%patch2 -p1 -b .goo-overflows
%patch3 -p1 -b .chris-overflows
%patch4 -p1 -b .gcc4
%patch5 -p4 -b .cve-2007-0104
%patch6 -p1 -b .fix-compile
%patch7 -p1 -b .cve-2007-3387
%patch8 -p0 -b .cve-2007-4352_5392_5393

%build
%make CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_CONFIG_H -I.. -I. -I./../goo -DHAVE_REWINDDIR=1 -DHAVE_POPEN=1 -DHAVE_DIRENT_H=1 -I../goo -I. -I../xpdf -I../fofi"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 src/%{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 0644 COPYING README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}


%changelog
* Fri Nov 16 2007 Vincent Danen <vdanen@mandriva.com> 0.39-1.2mdv2007.0
- P8: security fix for CVE-2007-{4352,5392,5393} (embedded xpdf3.00)

* Fri Aug 03 2007 Vincent Danen <vdanen@mandriva.com> 0.39-1.1mdv2007.0
- P7: security fix for CVE-2007-3387

* Sun Jan 21 2007 Stew Benedict <sbenedict@mandriva.com> 0.39-1mdv2007.0
+ Revision: 111292
- Import pdftohtml



* Sun Jan 21 2007 Stew Benedict <sbenedict@mandriva.com> 0.39-1mdv2007.1
- 0.39, fix URL
- P5: security fix for CVE-2007-0104
- P6: fix compile

* Wed Sep 06 2006 Stew Benedict <sbenedict@mandriva.com> 0.36-5mdv2007.0
- conflicts with poppler
- P4: patch for new gcc

* Fri Apr 14 2006 Stew Benedict <sbenedict@mandriva.com> 0.36-4mdk
- security update for CVE-2005-3191,3192,3193 (P1)
- security update for overflows in goo/gmem.c (P2)
- additional overflow issues discovered by Chris Evans (P3)
  (CVE-2005-3624,3625,3626,3627)

* Thu Oct 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.36-3mdk
- rebuild

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.36-2mdk
- rebuild with new g++

* Fri Jan 09 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.36-1mdk
- 0.36
- regenerated P0
- compile with $RPM_OPT_FLAGS
- cleanups!

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.35-1mdk
- 0.35
- regenerate %%patch0
- rename the spec and other rpmlint fix
 
* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-6mdk
- rebuild

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-5mdk
- patch0: fixes dirname in pdftohml ( suggested by Bob Kimble )

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.31-4mdk
- fixes from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Fixed path of PDFTOHTMLBIN_DIR
	- Added pdftops.bin

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-3mdk
- rebuild

* Wed May 16 2001 David BAUDENS <baudens@mandrakesoft.com> 0.31-2mdk
- Use %%_tmppath for BuildRoot

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- updated to 0.31

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.30-1mdk
- updated to 0.30
- BM
- macros

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.20-2mdk
- fix group
- fix permission on sources

* Sun Feb  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.20-1mdk
- First packaging.
